/******************************************************************************

                  版权所有 (C), 2019-2039, 深圳前海维晟智能技术有限公司

 ******************************************************************************
  文 件 名   : ws8100_config.h
  版 本 号   : 初始版本
  作    者   : QingYang
  生成日期   : 2021年2月25日 星期四
  最近修改   :
  功能描述   : ws8100_config.c 的头文件
  函数列表   :
  修改历史   :
  1.日    期   : 2021年2月25日 星期四
    作    者   : QingYang
    修改内容   : 创建文件

******************************************************************************/

#ifndef __WS8100_CONFIG_H__
#define __WS8100_CONFIG_H__


#ifdef __cplusplus
#if __cplusplus
extern "C"{
#endif
#endif /* __cplusplus */

extern uint8_t check_config(void);
extern uint32_t get_baudrate(void);
extern uint8_t is_log_enable(void);
extern void load_config(void);
extern uint8_t load_default_config(void);
extern void save_config(void);
extern void set_config_default(void);
#ifdef __cplusplus
#if __cplusplus
}
#endif
#endif /* __cplusplus */


#endif /* __WS8100_CONFIG_H__ */
